<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://unpkg.com/purecss@2.1.0/build/pure-min.css" integrity="sha384-yHIFVG6ClnONEA5yB5DJXfW2/KC173DIQrYoZMEtBvGzmf0PKiGyNEqe9N6BNDBH" crossorigin="anonymous">
    <link rel="stylesheet" href="./../static/main.css">
    <title><%= type %></title>
</head>
<body>
    <nav>
        <%- include("./partials/navbar", {isLoggedIn: false, isAdmin: false}); %>
    </nav>
    <main>
        <h1><%= type %></h1>
        <form method="post" action="/<%= type.toLowerCase() %>" class="pure-form pure-form-stacked">
            <fieldset>
                <p class="error"><%= error.invalidLogin ?? "" %></p>
                <label for="username">Username:</label>
                <input type="text" id="username" name="username" placeholder="Enter Username" required>
                <p class="error"><%= error.badUsername ?? "" %></p>
                <label for="password">Password:</label>
                <input type="password" id="password" name="password" placeholder="Enter Password" required>
                <p class="error"><%= error.insufficentPassword ?? "" %></p>
                <button type="submit" class="pure-button"><%= type %></button>
            </fieldset>
        </form>
    </main>
    <footer>
        <%- include("./partials/footer"); %>
    </footer>
</body>
</html>